import { r as registerInstance, h, g as getElement } from './index-195cf57b.js';

const sectionCss = ":host{display:block}.section__title{margin:0 0 var(--gap-sm);font-size:2rem;font-weight:500}.section__link{display:inline-block;color:rgb(var(--bd-violet-rgb));font-size:1.4rem}.section__link::after{content:\" ↗️\"}.section__code{margin:0;padding:var(--gap-sm);border:1px solid rgba(var(--bd-violet-rgb), .2);background-color:#f8f9fa;border-radius:.6rem;border-top-right-radius:0;border-top-left-radius:0;color:#333;font-size:1.4rem}.section__example{padding:var(--gap-sm) var(--gap-sm) var(--gap);border:1px solid rgba(var(--bd-violet-rgb), .2);border-bottom:none;border-radius:.6rem;border-bottom-left-radius:0;border-bottom-right-radius:0;background-color:rgba(var(--bd-violet-rgb), 0.02)}.section__code-title,.section__example-title{margin:0 0 var(--gap-sm);color:#777;font-weight:300;font-size:1.3rem;text-transform:uppercase;font-family:monospace}.section__example-content{margin:0 var(--gap-sm)}.section>*+*{margin-top:var(--gap-sm)}";

const BSWCSection = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.heading = undefined;
    this.slug = undefined;
  }
  formatHtml(content) {
    let string = content.replaceAll('<!---->', '');
    string = string.replaceAll(' class="hydrated"', '');
    let array = string.split('> <');
    array = array.map((element, index) => {
      const isFirst = index === 0;
      const isLast = index === array.length - 1;
      let html = '';
      if (!isFirst) {
        html += '<';
      }
      html += element;
      if (!isLast) {
        html += '>';
      }
      return html;
    });
    return array;
  }
  render() {
    const code = this.formatHtml(this.element.innerHTML);
    return (h("section", { class: "section" }, h("h4", { class: "section__title" }, this.heading), h("div", null, h("div", { class: "section__example" }, h("div", { class: "section__example-title" }, "Example"), h("div", { class: "section__example-content" }, h("slot", null))), h("pre", { class: "section__code" }, h("h5", { class: "section__code-title" }, "HTML"), code.map(tag => {
      return h("div", null, h("code", null, tag.includes('bs-row') ? tag : '  ' + tag));
    }))), this.slug ?
      h("a", { href: `https://getbootstrap.com/docs/5.3/layout/grid/#${this.slug}`, target: "_blank", class: "section__link" }, "More info about ", this.heading, " at Bootstrap website")
      : ''));
  }
  get element() { return getElement(this); }
};
BSWCSection.style = sectionCss;

export { BSWCSection as bswc_section };

//# sourceMappingURL=bswc-section.entry.js.map